@import 'custom/vars';

// layout
html,
body {
  height: 100%;
}
body {
  &.is-sitemap-open {
    .sitemap {
      visibility: visible;
      opacity: 1;
      .dim {
        background: rgba(0, 0, 0, 0.3);
      }
      &__container {
        transform: translate(0, 0);
      }
    }
  }
}
.app {
  position: relative;
  min-width: 1280px;
  height: 100%;
}
.app-aside {
  $aside: &;
  z-index: 100;
  position: fixed;
  top: 0;
  left: 0;
  width: 140px;
  height: 100%;
  border-right: 1px solid $lightGray;
  background: $white;
  &__logo {
    display: block;
    margin: 20px 0 0 0;
    text-align: center;
    &--link {
      display: inline-block;
      width: 101px;
      height: 30px;
      background: url('../img/logo.png') no-repeat 50% 50%;
      background-size: 100%;
    }
    img {
      width: 100%;
    }
  }
  &__menu {
    margin-top: 20vh;
    border-bottom: 1px solid $lightGray;
    text-align: center;
    &--item {
      border-top: 1px solid $lightGray;
      font-weight: bold;
      &.is-active {
        #{$aside}__menu--anchor {
          font-weight: bold;
          color: $white;
          background: $primary;
        }
        #{$aside}__depth {
          display: block;
        }
      }
    }
    &--anchor {
      display: block;
      min-height: 58px;
      line-height: 60px;
      font-size: 18px;
      color: #8e8e8e;
      background: $white;
    }
  }
  &__depth {
    display: none;
    padding: 15px 0;
    &--item {
      & ~ & {
        margin: 11px 0 0 0;
      }
    }
    &--link {
      font-size: 15px;
      font-weight: bold;
    }
  }
  &__utill {
    position: absolute;
    bottom: 20px;
    left: 0;
    width: 100%;
    text-align: center;
    .buttons {
      padding: 0 20px;
      .btn {
        width: 100%;
        margin: 0 0 10px 0;
        box-sizing: border-box;
        &.btn-service {
          height: auto;
          padding: 20px 0;
          line-height: 20px;
          &:hover {
            color: #fff;
          }
        }
      }
    }
  }
  &__profile {
    display: inline-block;
    width: 32px;
    height: 32px;
    background: url('../img/ico_profile.png') no-repeat 50% 50%;
  }
}
.app-main {
  position: relative;
  min-height: 100%;
  margin: 0 0 60px 141px;
}
.app-container {
  // max-width:1680px;
  // margin:0 auto;
  padding: 55px 32px 180px 32px;
  &:before {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    content: '';
    width: 100%;
    height: 10px;
    background: $primary;
  }
}
.app-footer {
  position: absolute;
  bottom: 25px;
  left: 0;
  width: 100%;
  &__inner {
    padding: 0 32px;
    &:after {
      display: block;
      clear: both;
      content: '';
    }
  }
  a {
    padding: 0;
    font-weight: 400;
    font-size: inherit;
    text-transform: inherit;
    border-radius: 0;
    display: list-item;
    &::marker {
      display: none;
    }
  }
  .company {
    display: flex;
    float: left;
    &__name {
      color: $primary;
      font-weight: bold;
      letter-spacing: -0.35px;
    }
    &__address {
      padding: 0 0 0 13px;
      color: #8e8e8e;
      font-size: 14px;
      font-style: normal;
      letter-spacing: -0.35px;
    }
  }
  .policy {
    display: flex;
    justify-content: flex-end;
    &__item {
      position: relative;
      padding-left: 42px;
      &:after {
        position: absolute;
        top: 3px;
        right: -22px;
        display: block;
        content: '';
        width: 1px;
        height: 14px;
        background: #d3d3d3;
      }
      &:first-child {
        padding: 0;
      }
      &:last-child:after {
        display: none;
      }
      a {
        color: #8e8e8e;
        letter-spacing: -0.35px;
      }
    }
  }
  .sitemap {
    z-index: 90;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 0 0 0 140px;
    visibility: hidden;
    transition: visibility 1s ease-out;
    .dim {
      display: block;
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: rgba(0, 0, 0, 0);
      transition: background 0.6s ease-out;
    }
    &__container {
      z-index: 1;
      position: absolute;
      bottom: 0;
      left: 0;
      display: flex;
      justify-content: center;
      width: 100%;
      height: 330px;
      background: #024287;
      transform: translate(0, 100%);
      transition: transform 0.6s ease-out;
      will-change: transform;
      color: #fff;
    }
    &__group {
      padding: 100px 0 0 0;
      strong {
        font-size: 18px;
        font-weight: 700;
        font-style: normal;
        letter-spacing: -0.45px;
      }
      & ~ .sitemap__group {
        margin: 0 0 0 36px;
      }
      li {
        margin: 13px 0 0 0;
        a {
          font-size: 16px;
          font-weight: 400;
          font-style: normal;
          letter-spacing: -0.4px;
          color: #fff;
        }
        &:first-child {
          margin: 16px 0 0 0;
        }
      }
    }
    .btn-sitemap-close {
      position: absolute;
      right: 150px;
      top: 10px;
      width: 28px;
      height: 28px;
      border: none;
      outline: none;
      cursor: pointer;
      background: url('../img/btn_sitemap_close.png') no-repeat 50% 50%;
    }
  }
}

// ui
.is-desktop {
  display: block;
}
.is-mobile {
  display: none;
}
.is-desktop-wrapline {
  display: block !important;
}
.is-mobile-wrapline {
  display: none !important;
}
.color {
  &-primary {
    color: $primary;
  }
  &-secondary {
    color: $secondary;
  }
}
.btn {
  $btn: &;
  display: inline-block;
  height: 36px;
  line-height: 34px;
  padding: 0 20px;
  vertical-align: middle;
  text-align: center;
  font-size: 14px;
  font-weight: bold;
  letter-spacing: 0.24px;
  cursor: pointer;
  border-radius: 4px;
  background: $white;
  outline: none;
  border: none;
  box-sizing: border-box;
  & ~ & {
    margin-left: 11px;
  }
  &.is-large {
    width: 100%;
    min-width: 100%;
    & ~ #{$btn} {
      margin: 0;
    }
  }
  &__default {
    border: 1px solid $black;
    color: $black;
  }
  &__primary {
    border: 1px solid $primary;
    color: $white;
    background: $primary;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2), 0 3px 1px -2px rgba(0, 0, 0, 0.12),
      0 2px 2px rgba(0, 0, 0, 0.14);
  }
  &__outline {
    &--primary {
      border: 1px solid $primary;
      color: $primary;
    }
  }
  &__text {
    height: auto;
    font-size: 14px;
    font-weight: bold;
    letter-spacing: 0.3px;
    line-height: 24px;
    color: $black;
  }
  &__file {
    width: 34px;
    height: 36px;
    padding: 0;
    box-sizing: border-box;
    border: 1px solid $lightGray;
    color: $black;
    background: url('../img/ico_file.png') no-repeat 50% 50%;
    background-size: 9px;
  }
}
.ico {
  display: inline-block;
  width: 60px;
  height: 60px;
  vertical-align: top;
  text-align: center;
  &--exit {
    background: url('../img/ico_exit.png') no-repeat 0 0;
    background-size: 100%;
  }
  &--subway {
    background: url('../img/ico_subway.png') no-repeat 0 0;
    background-size: 100%;
  }
  &--new {
    width: 16px;
    height: 16px;
    background: url('../img/ico_new.png') no-repeat 0 0;
    background-size: 100%;
  }
  &--file {
    width: 34px;
    height: 36px;
    padding: 0;
    box-sizing: border-box;
    border: 1px solid $lightGray;
    color: $black;
    background: url('../img/ico_file.png') no-repeat 50% 50%;
    background-size: 10px;
  }
  &--kakao {
    width: 22px;
    height: 22px;
    background: url('../img/ico_kakao.png') no-repeat 50% 50%;
    background-size: 18px;
  }
  &--naver {
    width: 22px;
    height: 22px;
    background: url('../img/ico_naver.png') no-repeat 50% 50%;
    background-size: 18px;
  }
  &--facebook {
    width: 22px;
    height: 22px;
    background: url('../img/ico_facebook.png') no-repeat 50% 50%;
    background-size: 18px;
  }
  &--goggle {
    width: 22px;
    height: 22px;
    background: url('../img/ico_goggle.png') no-repeat 50% 50%;
    background-size: 18px;
  }
}
.sns-list {
  $sns: &;
  & + .join-form {
    margin: 32px 0 0 0;
  }
  &__item {
    & ~ #{$sns}__item {
      margin: 14px 0 0 0;
    }
    a {
      display: flex;
      height: 36px;
      line-height: 36px;
      border-radius: 4px;
      text-align: left;
      align-items: center;
      justify-content: center;
      color: $white;
      font-size: 14px;
      font-weight: bold;
      .ico {
        margin: 7px 8px 0 20px;
      }
      span {
        width: 63%;
      }
    }
    &#{$sns}--kakao {
      a {
        background: #ffde04;
        color: $black;
      }
    }
    &#{$sns}--naver {
      a {
        background: #07c10d;
      }
    }
    &#{$sns}--facebook {
      a {
        background: #1a5fcb;
      }
    }
    &#{$sns}--goggle {
      a {
        background: #ab4835;
      }
    }
  }
}
.join-form {
  .mui-checkbox {
    margin: 23px 0 0 0;
    padding: 0 10px;
    & ~ .mui-checkbox {
      margin: 30px 0 0 0;
    }
  }
  .btn {
    & ~ .btn {
      margin: 25px 0 0 0;
    }
  }
  .login {
    margin: 32px 0 0 0;
  }
}
.vaildate {
  display: none;
  margin: 10px 0 0 0;
  color: $default;
  &--error {
    display: block;
    color: #c80d02;
  }
  &--text {
    display: block;
  }
}
.use-account {
  margin: 38px 0 33px 0;
  &__center {
    text-align: center;
  }
  &__between {
    display: flex;
    justify-content: space-between;
    margin: 25px 0 0 0;
    .btn {
      color: #8e8e8e;
    }
  }
  .btn {
    padding: 0 27px;
    font-weight: normal;
  }
}
.ui-title {
  font-size: 40px;
  font-weight: bold;
  color: $primary;
  text-align: center;
}
.ui-subtitle {
  font-size: 40px;
  font-weight: bold;
  letter-spacing: -1px;
  line-height: 54px;
  color: $primary;
  .color-secondary {
    display: inline-block;
    margin: 0 0 11px 0;
  }
}
.key-visual {
  position: relative;
  &__img {
    font-size: 0;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
  &__subject {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 0 0 75px;
    font-size: 80px;
    font-weight: 700;
    letter-spacing: -2px;
    line-height: 80px;
  }
}
.map {
  iframe,
  img {
    width: 100%;
  }
}
.contact {
  $contact: &;
  &--item {
    display: flex;
    font-size: 20px;
    letter-spacing: -0.5px;
    line-height: 32px;
    align-items: center;
    & ~ #{$contact}--item {
      margin: 10px 0 0 0;
    }
  }
  &--label {
    min-width: 102px;
    color: $default;
  }
  &--text {
    margin-top: -3px;
  }
}
.introduce {
  $introduce: &;
  display: flex;
  margin: 68px 0 0 0;
  padding: 0 0 0 70px;
  &__title {
    min-width: 36%;
    font-size: 40px;
    font-weight: bold;
    letter-spacing: -1px;
    line-height: 54px;
    span {
      display: block;
      & ~ span {
        margin: 15px 0 0 0;
      }
    }
  }
  &__desc {
    margin-left: 11%;
    &--text {
      font-size: 20px;
      letter-spacing: -0.5px;
      line-height: 32px;
      color: $default;
      & ~ #{$introduce}__par--text {
        margin: 30px 0 0 0;
      }
    }
    .buttons {
      margin: 20px 0 0 0;
    }
  }
  &__traffic {
    $traffic: &;
    display: flex;
    margin: 30px 0 0 0;
    &--item {
      & ~ #{$traffic}--item {
        margin: 0 0 0 44px;
      }
      p {
        margin: 20px 0 0 0;
        font-size: 18px;
        letter-spacing: -0.45px;
        line-height: 28px;
      }
    }
  }
}
.attached-file {
  line-height: 36px;
  .ico {
    margin: 0 15px 0 0;
  }
  a {
    &:hover {
      text-decoration: underline;
    }
  }
}

// mui custom
.mui-tabs {
  &__bar {
    margin: 35px 0 35px 0;
    li {
      padding: 0;
      text-align: center;
      border-bottom: 2px solid $lightGray;
      &.mui--is-active {
        border-color: $primary;
        > a {
          font-weight: bold;
          color: $primary;
        }
      }
      a {
        font-size: 16px;
        color: $default;
        cursor: pointer;
        text-transform: inherit;
      }
    }
  }
}

.mui-textfield {
  & > input {
    margin: 5px 0 0 0;
  }
  & > label {
    font-size: 14px;
    line-height: 18px;
    color: rgba(0, 0, 0, 0.54);
  }
  & > input,
  & > textarea {
    font-family: 'NotoSansCJK', sans-serif;
    font-weight: 400;
    &::placeholder,
    &::-webkit-input-placeholder {
      font-weight: 400;
    }
    &:focus {
      border-color: $primary;
    }
  }
}
.mui-checkbox {
  & > label {
    color: $default;
    padding-left: 30px;
    & > input[type='checkbox'] {
      margin-left: -30px;
      width: 18px;
      height: 18px;
      margin-top: 1px;
      border: 2px solid $default;
      outline: none;
      &:checked {
        background: $primary;
      }
    }
    a {
      text-decoration: underline;
    }
  }
}

// board
.board {
  &-list {
    margin: 90px 0 0 0;
    border-top: 2px solid $primary;
    table {
      table-layout: fixed;
      width: 100%;
    }
    thead {
      th {
        padding: 16px 10px;
        border-bottom: 1px solid $lightGray;
        font-weight: 700;
        letter-spacing: -0.35px;
        text-align: center;
        color: $primary;
      }
    }
    tbody {
      tr {
        &.is-important {
          td {
            &.is-subject {
              background: url('../img/ico_important.png') no-repeat 0 48%;
              background-size: 22px;
              a {
                font-weight: bold;
                color: $primary;
              }
            }
          }
        }
      }
      td {
        padding: 16px 10px;
        vertical-align: middle;
        border-bottom: 1px solid $lightGray;
        text-align: center;
        font-size: 16px;
        &.is-subject {
          padding-left: 36px;
          text-align: left;
          a {
            position: relative;
            display: inline-block;
            overflow: hidden;
            max-width: 95%;
            padding-right: 26px;
            word-wrap: normal;
            white-space: nowrap;
            text-overflow: ellipsis;
            &:hover {
              text-decoration: underline;
            }
          }
        }
        .ico {
          position: absolute;
          top: 3px;
          right: 0;
        }
      }
    }
  }
  &-detail {
    $detail: &;
    margin: 90px 0 0 0;
    padding: 0 0 35px 0;
    border-bottom: 1px solid $lightGray;
    &__head {
      padding: 23px 38px;
      border-top: 1px solid $lightGray;
      border-bottom: 1px solid $lightGray;
      color: $default;
    }
    &__title {
      font-size: 20px;
    }
    &__content {
      padding: 32px 38px 0 38px;
      &--par {
        font-size: 16px;
        letter-spacing: -0.4px;
      }
      &--img {
        margin: 60px 0 0 0;
      }
    }
    &__additional {
      display: flex;
      justify-content: space-between;
      margin: 30px 0 0 0;
      letter-spacing: -0.35px;
      &.is-desktop {
        display: flex;
      }
      &.is-mobile {
        display: none;
      }
      &--subject {
        color: $primary;
        & ~ #{$detail}__additional--subject {
          margin: 0 0 0 28px;
        }
      }
      &--system {
        margin: 0 0 0 13px;
      }
    }
    &__file {
      margin: 100px 0 0 0;
      padding: 0 38px;
    }
  }
  &-bottom {
    position: relative;
    margin: 30px 0 0 0;
    text-align: center;
    &.is-between {
      display: flex;
      justify-content: space-between;
      margin: 20px 0 0 0;
      .buttons {
        .btn {
          min-width: 100px;
        }
      }
    }
  }
}

.pagenation {
  display: inline-block;
  a,
  strong,
  .dump {
    display: inline-block;
    min-width: 32px;
    height: 32px;
    line-height: 32px;
    margin: 0 2px;
    vertical-align: middle;
    color: $black;
    &.is-current {
      border-radius: 50%;
      background: $primary;
      color: $white;
    }
    &.is-disabled {
      opacity: 0.5;
      cursor: default;
    }
  }
  &__first {
    background: url('../img/ico_pagenation_first.png') no-repeat 50% 50%;
    background-size: 7px;
  }
  &__last {
    background: url('../img/ico_pagenation_last.png') no-repeat 50% 50%;
    background-size: 7px;
  }
}

.form-serarch {
  position: absolute;
  top: 0;
  right: 0;
  &__action {
    display: flex;
  }
  .input__text {
    min-width: 230px;
    margin: 0 16px 0 0;
    input {
      width: 100%;
      padding: 6px 0;
      border-bottom: 1px solid #979797;
      letter-spacing: 0.15px;
      line-height: 24px;
      font-size: 16px;
      border: none;
      border-bottom: 1px solid $black;
      &:focus {
        outline: 0;
      }
      &::placeholder {
        color: $black;
      }
      &::-webkit-input-placeholder {
        color: $black;
      }
    }
  }
}

.modal {
  $modal: &;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  &.is-modal-open {
    #{$modal}__container {
      display: block;
    }
  }
  &__container {
    position: relative;
    display: none;
    min-width: 600px;
    min-height: 180px;
    border-radius: 4px;
    box-shadow: 0 11px 15px -7px rgba(0, 0, 0, 0.2),
      0 9px 46px 8px rgba(0, 0, 0, 0.12), 0 24px 38px 3px rgba(0, 0, 0, 0.14);
    background: $white;
    &.is-large {
      max-width: 600px;
      #{$modal}__title {
        height: 66px;
        border-bottom: 1px solid $lightGray;
      }
      .buttons {
        margin: 0;
      }
    }
    .is-user-modal & {
      width: 100%;
      min-width: auto;
      max-width: 420px;
      #{$modal}__body {
        max-height: none;
        padding: 35px 55px 60px 55px;
      }
    }
  }
  &__title {
    padding: 15px 20px 0 20px;
    box-sizing: border-box;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 0.15px;
    line-height: 32px;
  }
  &__body {
    max-height: 550px;
    overflow: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    padding: 15px 20px 0 20px;
    font-size: 14px;
    font-style: normal;
    line-height: 22px;
  }
  &__text {
    margin: 22px 0 0 0;
    font-size: 16px;
    letter-spacing: 0.15px;
    line-height: 24px;
    color: rgba(0, 0, 0, 0.54);
  }
  &__close {
    position: absolute;
    top: 13px;
    right: 15px;
    width: 30px;
    height: 30px;
    border: none;
    cursor: pointer;
    background: url('../img/btn_modal_close02.png') no-repeat 50% 50%;
    background-size: 14px;
  }
  .buttons {
    margin: 60px 0 0 0;
    padding: 15px 5px;
    text-align: right;
  }
}

// about page
.about {
  &--01 {
    margin: 78px auto 0 auto;
    max-width: 1680px;
  }
  &--02 {
    margin: 0 auto;
    max-width: 1680px;
    .buttons {
      margin: 16px 0 0 0;
    }
  }
  &--03 {
    margin: 0 auto;
    max-width: 1680px;
  }
}

.service {
  max-width: 1680px;
  margin: 0 auto;
  padding: 0 70px;
  &__figure {
    padding: 0 0 0 50px;
    img {
      max-width: 100%;
    }
  }
  &__section {
    display: flex;
    justify-content: space-between;
    margin: 70px 0 0 0;
  }
  &__description {
    min-width: 460px;
    .ui-subtitle {
      margin: 95px 30px 0 0;
      span {
        display: block;
        &.color-secondary {
          margin: 0 0 6px 0;
          font-size: 20px;
          letter-spacing: -0.5px;
          line-height: 54px;
        }
      }
    }
    &--par {
      margin: 56px 0 0 0;
      font-size: 20px;
      letter-spacing: -0.5px;
      line-height: 32px;
    }
  }
}

.schedule-prov {
  $schedule: &;
  margin: 108px 0 0 0;
  &__container {
    position: relative;
    display: flex;
    justify-content: center;
    &:before {
      position: absolute;
      left: 186px;
      top: 0;
      display: block;
      content: '';
      width: 334px;
      height: 334px;
      border-radius: 50%;
      background-color: #024287;
      opacity: 0.05;
    }
  }
  &__item {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    & ~ #{$schedule}__item {
      margin: 0 0 0 47px;
    }
  }
  &__img {
    width: 334px;
    img {
      width: 100%;
    }
  }
  &__subject {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    transform: translate(0, -50%);
    font-size: 26px;
    letter-spacing: -0.65px;
    color: $white;
    text-align: center;
  }
}

.tracking {
  $tracking: &;
  position: relative;
  max-width: 1200px;
  margin: 140px auto 0 auto;
  &__img {
    img {
      width: 100%;
    }
  }
  &__item {
    &--img {
      display: none;
    }
    &--subject {
      position: absolute;
      top: 50%;
      left: 50%;
      display: block;
      width: 220px;
      height: 72px;
      line-height: 70px;
      text-align: center;
      box-shadow: 0 2px 20px rgba(0, 0, 0, 0.2);
      border-radius: 3px;
      border: 1px solid #cecece;
      background-color: $white;
      font-size: 16px;
      letter-spacing: -0.4px;
      color: $primary;
      &:after {
        position: absolute;
        top: 86px;
        left: 50%;
        display: block;
        content: '';
        height: 43px;
        border-left: 1px dotted $primary;
      }
      &:before {
        position: absolute;
        top: 126px;
        left: calc(50% - 3px);
        display: block;
        content: '';
        width: 8px;
        height: 8px;
        border-radius: 50%;
        background: $primary;
      }
      #{$tracking}__item-0101 & {
        margin-top: -34%;
        margin-left: -5%;
      }
      #{$tracking}__item-0102 & {
        margin-top: -28%;
        margin-left: 29%;
      }
      #{$tracking}__item-02 & {
        margin-top: -32%;
        margin-left: -44%;
      }
      #{$tracking}__item-03 & {
        margin-top: 0;
        margin-left: -46%;
        &:after {
          width: 68px;
          top: 50%;
          left: 220px;
          border: none;
          border-top: 1px dotted $primary;
          width: 68px;
        }
        &:before {
          top: 32px;
          left: auto;
          right: -73px;
        }
      }
      #{$tracking}__item-04 & {
        margin-top: 5%;
        margin-left: 23%;
      }
    }
  }
}

.space-protection {
  $space: &;
  margin: 90px 0 0 0;
  &__container {
    display: flex;
  }
  &__item {
    & ~ #{$space}__item {
      margin: 0 0 0 22px;
    }
    img {
      width: 100%;
    }
  }
  &__img {
    width: 350px;
    img {
      width: 100%;
    }
  }
  &__subject {
    display: block;
    margin: 20px 0 0 0;
    font-size: 16px;
    font-weight: bold;
    letter-spacing: -0.4px;
    color: $primary;
  }
}

// customer
.customer--01,
.customer--02,
.customer--03 {
  max-width: 1680px;
  margin: 0 auto;
}
.customer--03 {
  padding: 0 70px;
}
.customer-qna {
  display: flex;
  justify-content: center;
  margin: 100px 0 0 0;
  padding: 0 70px;
  &__contact {
    flex: 1;
    max-width: 548px;
    box-sizing: border-box;
    &--par {
      margin: 45px 0 0 0;
      font-size: 20px;
      letter-spacing: -0.5px;
      line-height: 32px;
      color: $default;
    }
    .contact {
      margin: 50px 0 0 0;
    }
  }
  &__form {
    flex: 1;
    max-width: 690px;
    box-sizing: border-box;
    fieldset {
      margin: 0;
      padding: 0;
      border: none;
    }
  }
  &__bottom {
    display: flex;
    justify-content: space-between;
    padding: 24px 12px 0 12px;
  }
  .mui-textfield {
    position: relative;
    margin: 0;
    padding: 0;
    & ~ .mui-textfield {
      padding: 15px 0 0 0;
    }
    input {
      height: auto;
      padding: 0 0 32px 0;
    }
    textarea {
      padding: 0 0 32px 0;
      height: 325px;
    }
    .byte {
      position: absolute;
      right: 0;
      bottom: 18px;
      color: #8e8e8e;
    }
  }
}
